import { BuildResult } from 'esbuild';

declare type Format = 'cjs' | 'esm' | 'iife';
declare type Options = {
    entryPoints: string[];
    /**
     * Compile target, like `es2018`
     */
    target?: string;
    minify?: boolean;
    watch?: boolean;
    jsxFactory?: string;
    jsxFragment?: string;
    outDir?: string;
    format: Format[];
    globalName?: string;
    define?: {
        [k: string]: string;
    };
    dts?: boolean;
    /** Don't bundle these packages */
    external?: string[];
};
declare const makeLabel: (input: string, type: 'info' | 'success' | 'error') => string;
declare function runEsbuild(options: Options, { format }: {
    format: Format;
}): Promise<BuildResult | undefined>;
declare function build(options: Options): Promise<void>;

export { Format, Options, build, makeLabel, runEsbuild };
